%{?mingw_package_header}

%global realname dlfcn-win32

Name:          mingw-dlfcn
Version:       1.4.1
Release:       %mkrel 1
Summary:       Implements a wrapper for dlfcn (dlopen dlclose dlsym dlerror)

License:       LGPLv2+
Group:         Development/Other
URL:           https://github.com/%{realname}/%{realname}
Source0:       https://github.com/%{realname}/%{realname}/archive/v%{version}/%{realname}-%{version}.tar.gz

BuildArch:     noarch

BuildRequires: cmake
BuildRequires: make

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc
BuildRequires: mingw32-binutils

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc
BuildRequires: mingw64-binutils


%description
This library implements a wrapper for dlfcn, as specified in POSIX and SUS,
around the dynamic link library functions found in the Windows API.


# Win32
%package -n mingw32-dlfcn
Summary:        Implements a wrapper for dlfcn (dlopen dlclose dlsym dlerror)

%description -n mingw32-dlfcn
This library implements a wrapper for dlfcn, as specified in POSIX and SUS,
around the dynamic link library functions found in the Windows API.


%package -n mingw32-dlfcn-static
Summary:        Static version of the MinGW Windows dlfcn library
Requires:       mingw32-dlfcn = %{version}-%{release}
Group:          Development/Other

%description -n mingw32-dlfcn-static
Static version of the MinGW Windows dlfcn library.


# Win64
%package -n mingw64-dlfcn
Summary:        Implements a wrapper for dlfcn (dlopen dlclose dlsym dlerror)

%description -n mingw64-dlfcn
This library implements a wrapper for dlfcn, as specified in POSIX and SUS,
around the dynamic link library functions found in the Windows API.


%package -n mingw64-dlfcn-static
Summary:        Static version of the MinGW Windows dlfcn library
Requires:       mingw64-dlfcn = %{version}-%{release}
Group:          Development/Other

%description -n mingw64-dlfcn-static
Static version of the MinGW Windows dlfcn library.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n %{realname}-%{version}

for f in README.md COPYING; do
    %{__sed} -i 's/\r//' "${f}";
done


%build
# Shared
export MINGW_BUILDDIR_SUFFIX=-shared
%mingw_cmake
%mingw_make_build

# Static
export MINGW_BUILDDIR_SUFFIX=-static
%mingw_cmake -DBUILD_SHARED_LIBS:BOOL=OFF
%mingw_make_build


%install
# Shared
export MINGW_BUILDDIR_SUFFIX=-shared
%mingw_make_install

# Static
export MINGW_BUILDDIR_SUFFIX=-static
%mingw_make_install


# Win32
%files -n mingw32-dlfcn
%doc README.md
%license COPYING
%{mingw32_bindir}/libdl.dll
%{mingw32_libdir}/libdl.dll.a
%{mingw32_includedir}/dlfcn.h
%{mingw32_datadir}/%{realname}

%files -n mingw32-dlfcn-static
%{mingw32_libdir}/libdl.a

# Win64
%files -n mingw64-dlfcn
%doc README.md
%license COPYING
%{mingw64_bindir}/libdl.dll
%{mingw64_libdir}/libdl.dll.a
%{mingw64_includedir}/dlfcn.h
%{mingw64_datadir}/%{realname}

%files -n mingw64-dlfcn-static
%{mingw64_libdir}/libdl.a




%changelog
* Fri Oct 13 2023 daviddavid <daviddavid> 1.4.1-1.mga10
+ Revision: 1995852
- new version: 1.4.1

* Fri Nov 25 2022 daviddavid <daviddavid> 1.3.1-1.mga9
+ Revision: 1910935
- new version: 1.3.1

* Thu Mar 24 2022 umeabot <umeabot> 1.2.0-3.mga9
+ Revision: 1824219
- Mageia 9 Mass Rebuild

* Fri Feb 21 2020 umeabot <umeabot> 1.2.0-2.mga8
+ Revision: 1547783
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 daviddavid <daviddavid> 1.2.0-1.mga8
+ Revision: 1488335
- new version: 1.2.0

* Thu Sep 20 2018 umeabot <umeabot> 1.1.2-2.mga7
+ Revision: 1279539
- Mageia 7 Mass Rebuild

* Sat Jul 14 2018 daviddavid <daviddavid> 1.1.2-1.mga7
+ Revision: 1243672
- new version: 1.1.2

* Fri Jun 15 2018 daviddavid <daviddavid> 1.1.1-1.mga7
+ Revision: 1237091
- new version: 1.1.1

* Mon Feb 08 2016 umeabot <umeabot> 0-0.16.r11.5.mga6
+ Revision: 942524
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0-0.16.r11.4.mga5
+ Revision: 742383
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0-0.16.r11.3.mga5
+ Revision: 682424
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0-0.16.r11.2.mga4
+ Revision: 536162
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 neoclust <neoclust> 0-0.16.r11.1.mga4
+ Revision: 483531
- imported package mingw-dlfcn


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.16.r11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.15.r11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.14.r11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Apr 14 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 0-0.13.r11
- Added win64 support

* Wed Mar 07 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 0-0.12.r11
- Renamed the source package to mingw-dlfcn (RHBZ #800861)
- Use mingw macros without leading underscore

* Mon Feb 27 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 0-0.11.r11
- Rebuild against the mingw-w64 toolchain

* Thu Feb 16 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 0-0.10.r11
- Make sure the static lib is compiled correctly (RHBZ #791191)
- Various cleanups

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.9.r11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.8.r11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Oct 30 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 0-0.7.r11
- Use %%global instead of %%define
- Automatically generate debuginfo subpackage
- Fixed %%defattr line
- Added -static subpackage
- Fixed linker error with C++ applications

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.r11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.r11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 20 2009 Richard W.M. Jones <rjones@redhat.com> - 0-0.4.r11
- Rebuild for mingw32-gcc 4.4

* Wed Jan 14 2009 Richard W.M. Jones <rjones@redhat.com> - 0-0.3.r11
- Use Version 0
  (https://www.redhat.com/archives/fedora-packaging/2009-January/msg00064.html)
- Revert use of dos2unix for now
  (https://www.redhat.com/archives/fedora-packaging/2009-January/msg00066.html)
- Use _smp_mflags.

* Tue Jan 13 2009 Richard W.M. Jones <rjones@redhat.com> - 0.1-0.2.r11
- Import into fedora-mingw temporary repository because there are packages
  which will depend on this.
- Fix the version/release according to packaging guidelines.
- Tidy up the spec file.
- Use dos2unix and keep the timestamps.

* Fri Jan 02 2009 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - r11-1
- Initial RPM release. 
